org.appng.tools.poi

## Class Borders

- java.lang.Object
- - org.appng.tools.poi.Borders

-     public class Borders
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Borders.BorderBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Borders()`
    `Borders(org.apache.poi.ss.usermodel.BorderStyle left, org.apache.poi.ss.usermodel.BorderStyle right, org.apache.poi.ss.usermodel.BorderStyle top, org.apache.poi.ss.usermodel.BorderStyle bottom)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyTo(org.apache.poi.ss.usermodel.CellStyle cellStyle)`
    `Border` | `bottom()`
    `Borders` | `bottom(org.apache.poi.ss.usermodel.BorderStyle style)`
    `Border` | `left()`
    `Borders` | `left(org.apache.poi.ss.usermodel.BorderStyle style)`
    `Border` | `right()`
    `Borders` | `right(org.apache.poi.ss.usermodel.BorderStyle style)`
    `Border` | `top()`
    `Borders` | `top(org.apache.poi.ss.usermodel.BorderStyle style)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Borders

          public Borders()

    - #### Borders

          public Borders(org.apache.poi.ss.usermodel.BorderStyle left,
                         org.apache.poi.ss.usermodel.BorderStyle right,
                         org.apache.poi.ss.usermodel.BorderStyle top,
                         org.apache.poi.ss.usermodel.BorderStyle bottom)

  - ### Method Detail

    - #### left

          public Border left()

    - #### right

          public Border right()

    - #### top

          public Border top()

    - #### bottom

          public Border bottom()

    - #### applyTo

          public void applyTo(org.apache.poi.ss.usermodel.CellStyle cellStyle)

    - #### left

          public Borders left(org.apache.poi.ss.usermodel.BorderStyle style)

    - #### right

          public Borders right(org.apache.poi.ss.usermodel.BorderStyle style)

    - #### top

          public Borders top(org.apache.poi.ss.usermodel.BorderStyle style)

    - #### bottom

          public Borders bottom(org.apache.poi.ss.usermodel.BorderStyle style)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.